
/*
		tkInterface.h

   Some prototypes and defines so that tk can use
   the hydra parser.
*/


#ifndef ONE_PASS

#define MULTI_PASS 0
#define ONE_PASS   1

#endif


struct hydraClientDataStruct{
   FILE *stream;
   int loopFlag;
};

typedef struct hydraClientDataStruct hydraClientData;

extern hydraClientData StdinInfo;
extern hydraClientData GraphinInfo;

extern int execStream(hydraClientData *clientData, int mask );

extern int initVariables(void);
extern double getCurrentRotatorPosition(void ); 
extern double getInstrumentTemperature(void);

extern double CurrentRotatorOffset;

extern int  resumeTrackFromZero();

extern void syncToWorld(void ); 

extern FILE *graphCmds;
extern FILE *stuffIn;

   /* (void)setjmp(Env); */
